Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class IssuerAndSerialNo

`java.lang.Object
oracle.security.crypto.cert.IssuerAndSerialNo`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public final class IssuerAndSerialNo
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

Holds a `X509` certificate's issuer DN and serial number, which is a way of identifying a particular certificate that is common to several PKIX and PKCS protocols.

Constructor Summary
`IssuerAndSerialNo(java.io.InputStream is)`
`IssuerAndSerialNo(X500Name issuer, java.math.BigInteger serialNo)`
`IssuerAndSerialNo(X509 cert)` Creates a new `IssuerAndSerialNo` by extracting the appropriate components from the given certificate.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getEncoded()`
`X500Name` | `getIssuer()`
`java.math.BigInteger` | `getSerialNo()`
`int` | `hashCode()`
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IssuerAndSerialNo

    public IssuerAndSerialNo(X500Name issuer,
                             java.math.BigInteger serialNo)

### IssuerAndSerialNo

    public IssuerAndSerialNo(X509 cert)

  Creates a new `IssuerAndSerialNo` by extracting the appropriate components from the given certificate.

### IssuerAndSerialNo

    public IssuerAndSerialNo(java.io.InputStream is)
                      throws java.io.IOException

Method Detail

### getIssuer

    public X500Name getIssuer()

### getSerialNo

    public java.math.BigInteger getSerialNo()

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### getEncoded

    public byte[] getEncoded()

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.